org.apache.tools.ant.taskdefs.optional.depend.constantpool

## Class FloatCPInfo

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
  - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
    - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.FloatCPInfo

    public class FloatCPInfo
    extends ConstantCPInfo

A Float CP Info

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_LONG, CONSTANT_METHODREF, CONSTANT_NAMEANDTYPE, CONSTANT_STRING, CONSTANT_UTF8`

### Constructor Summary

Constructors
Constructor and Description
`FloatCPInfo()` Constructor.

### Method Summary

Methods
`void` `read(java.io.DataInputStream cpStream)` read a constant pool entry from a class stream.
`java.lang.String` `toString()` Print a readable version of the constant pool entry.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

`getValue, setValue`

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FloatCPInfo

    public FloatCPInfo()

Constructor.

### Method Detail

#### read

    public void read(java.io.DataInputStream cpStream)
              throws java.io.IOException

read a constant pool entry from a class stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the DataInputStream which contains the constant pool entry to be read.
Throws:
  `java.io.IOException` - if there is a problem reading the entry from the stream.

#### toString

    public java.lang.String toString()

Print a readable version of the constant pool entry.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation of this constant pool entry.